Option Explicit
Dim fso
Dim TextFile
Dim Text

Set fso=CreateObject("Scripting.FileSystemObject")
Set TextFile=OpenTextFile(fso,WScript.Arguments.Item(0))
If Not TextFile.AtEndOfStream Then Text=TextFile.ReadAll()
TextFile.Close

Dim dic
Dim Matches
Dim Match

Dim NewLineChar
Dim None
Dim Cr
Dim Lf
Dim CrLf
Dim CrCrLf
Dim Any

Set None=New RegExp
Set Cr=New RegExp
Set Lf=New RegExp
Set CrLf=New RegExp
Set CrCrLf=New RegExp
Set Any=New RegExp

None.Pattern="^[^\r\n]*$"
Cr.Pattern="^([^\r\n]|\r)*$"
Lf.Pattern="^([^\r\n]|\n)*$"
CrLf.Pattern="^([^\r\n]|\r\n)*$"
CrCrLf.Pattern="^([^\r\n]|\r\r\n)*$"
Any.Pattern="([\r\n]+)"
Any.Global=True

If None.Test(Text) Then
  NewLineChar="None"
ElseIf CrLf.Test(Text) Then
  NewLineChar="CR+LF"
ElseIf Lf.Test(Text) Then
  NewLineChar="LF"
ElseIf Cr.Test(Text) Then
  NewLineChar="CR"
ElseIf CrCrLf.Test(Text) Then
  NewLineChar="CR+CR+LF"
Else
  Set dic=CreateObject("Scripting.Dictionary")
  Set Matches=Any.Execute(Text)
  For Each Match In Matches
    Match=Mid(Replace(Replace(Match,vbCr,"+CR"),vbLf,"+LF"),2)
    If dic.Exists(Match) Then
      dic.Item(Match)=dic.Item(Match)+1
    Else
      dic.Add Match,1
    End If
  Next
  NewLineChar=Array(Join(Array(dic.Count,"s"),vbTab))
  For Each Match In dic.Keys()
    Push NewLineChar,Join(Array(dic.Item(Match),Match),vbTab)
  Next
  NewLineChar=Join(NewLineChar,vbLf)
End If
WScript.Echo NewLineChar
WScript.Quit

Function OpenTextFile(fso,Path)
Dim fUNICODE
Dim BOM
Set OpenTextFile=fso.OpenTextFile(Path)
If Not OpenTextFile.AtEndOfStream Then BOM=OpenTextFile.Read(2)
fUNICODE=BOM=Chr(&HFF)&Chr(&HFE) Or BOM=Chr(&HFE)&Chr(&HFF)
Set OpenTextFile=fso.OpenTextFile(Path,,,fUNICODE)
End Function

Sub Push(Items,Item)
ReDim Preserve Items(UBound(Items)+1)
Items(UBound(Items))=Item
End Sub
